package com.uas.sso.common.parser;

import java.util.List;

import com.alibaba.fastjson.JSON;

/**
 * <p>
 * SSO Token 解析接口
 * </p>
 * 
 */
public class FastJsonParser implements SSOParser {

	public String toJson(Object token) {
		return JSON.toJSONString(token);
	}

	public <T> T parseObject(String text, Class<? extends T> clazz) {
		return JSON.parseObject(text, clazz);
	}

	@Override
	public <T> List<T> parseArray(String text, Class<T> clazz) {
		return JSON.parseArray(text, clazz);
	}

}
